r20454 - gnucash/trunk/packaging/win32 - Rework the Windows weekly 2.4 build to avoid parallel builds (which would fail

Geert Janssens gjanssens at code.gnucash.org
Tue Mar 22 16:24:14 EDT 2011


Author: gjanssens
Date: 2011-03-22 16:24:13 -0400 (Tue, 22 Mar 2011)
New Revision: 20454
Trac: http://svn.gnucash.org/trac/changeset/20454

Added:
   gnucash/trunk/packaging/win32/weekly_build.sh
Removed:
   gnucash/trunk/packaging/win32/weekly_build.bat
Modified:
   gnucash/trunk/packaging/win32/daily_build.bat
Log:
Rework the Windows weekly 2.4 build to avoid parallel builds (which would fail
BP (note that r20452 should be backported first, though I forgot to add the BP marker)


Modified: gnucash/trunk/packaging/win32/daily_build.bat
===================================================================
--- gnucash/trunk/packaging/win32/daily_build.bat	2011-03-22 19:46:19 UTC (rev 20453)
+++ gnucash/trunk/packaging/win32/daily_build.bat	2011-03-22 20:24:13 UTC (rev 20454)
@@ -3,5 +3,10 @@
 rem the daily build and then the tag builds.
 
 cd c:\soft\packaging
+
+rem Development build (daily)
 c:\msys\1.0\bin\sh.exe --login c:\soft\packaging\daily_build.sh
+rem Tags build (daily -- only tags that weren't built yet)
 c:\msys\1.0\bin\sh.exe --login c:\soft\packaging\build_tags.sh
+rem 2.4 branch build (weekly)
+c:\msys\1.0\bin\sh.exe --login c:\soft\packaging\daily_build.sh c:\soft-2.4\packaging
\ No newline at end of file

Deleted: gnucash/trunk/packaging/win32/weekly_build.bat
===================================================================
--- gnucash/trunk/packaging/win32/weekly_build.bat	2011-03-22 19:46:19 UTC (rev 20453)
+++ gnucash/trunk/packaging/win32/weekly_build.bat	2011-03-22 20:24:13 UTC (rev 20454)
@@ -1,6 +0,0 @@
-rem This is the Windows Batch Script for the daily builds.
-rem It simply calls the actual MSYS Shell script to perform
-rem the daily build and then the tag builds.
-
-cd c:\soft-2.4\packaging
-c:\msys\1.0\bin\sh.exe --login c:\soft-2.4\packaging\daily_build.sh

Copied: gnucash/trunk/packaging/win32/weekly_build.sh (from rev 20452, gnucash/trunk/packaging/win32/weekly_build.bat)
===================================================================
--- gnucash/trunk/packaging/win32/weekly_build.sh	                        (rev 0)
+++ gnucash/trunk/packaging/win32/weekly_build.sh	2011-03-22 20:24:13 UTC (rev 20454)
@@ -0,0 +1,23 @@
+#!/bin/sh
+#
+# Note: for this script to work, you need to make sure bash can
+#       find svn on your system. If it's not in the default
+#       Windows path, you will have to add it yourself, for
+#       example like this:
+#       - create a file /etc/profile.d/svn.sh
+#       - add this line: export PATH=/c/soft/svn/bin:$PATH
+#       (Use the real path to your svn installation, obviously)
+
+set -e
+
+# Only run this script on Monday night (first day of the week)
+if [ `date +%u` != 2 ] ; then exit ; fi
+
+function qpushd() { pushd "$@" >/dev/null; }
+function qpopd() { popd >/dev/null; }
+function unix_path() { echo "$*" | sed 's,^\([A-Za-z]\):,/\1,;s,\\,/,g'; }
+
+qpushd "$(dirname $(unix_path "$0"))"
+svn update
+./build_package.sh
+qpopd



More information about the gnucash-changes mailing list